{
  "ApplicationInsights": {
    "InstrumentationKey": "45a326f4-243f-4721-89b7-27321b3414f3",
    "LogLevel": {
      "Default": "Debug",
      "Microsot": "Error"
    },
    "ConnectionString": "InstrumentationKey=45a326f4-243f-4721-89b7-27321b3414f3;IngestionEndpoint=https://westus2-2.in.applicationinsights.azure.com/"
  },
  "ConnectionString": "Server=EPBYMOGW00EF;Database=CatalogDatabase;Trusted_Connection=True;",
  "IdentityServiceAddress": "https://localhost:44302/",
  "Kafka": {
    "BootstrapServers": "localhost:9092",
    "Topic": "product-items-change",
    "Timeout": 60000,
    "Attempts": 5
  },
  "ItemsOnThePageCount": 3,
  "Serilog": {
    "MinimumLevel": "Debug",
    "WriteTo": [
      {
        "Name": "Async",
        "Args": {
          "configure": [
            {
              "Name": "File",
              "Args": {
                "path": "c:\\logs\\intapp\\api-catalog\\catalog.log",
                "rollingInterval": "Day",
                "restrictedToMinimumLevel": "Debug",
                "outputTemplate": "{Timestamp:yyyy-MM-dd HH:mm:ss zzz} [{Level}] {MachineName} (Thread:{ThreadId} Process:{ProcessId}): {Message}{NewLine}{Exception}"
              }
            }
          ]
        }
      },
      {
        "Name": "Console",
        "Args": {
          "restrictedToMinimumLevel": "Debug",
          "outputTemplate": "{Timestamp:yyyy-MM-dd HH:mm:ss zzz} [{Level}] {MachineName} (Thread:{ThreadId} Process:{ProcessId}): {Message}{NewLine}{Exception}"
        }
      }
    ],
    "Enrich": [
      "FromLogContext",
      "WithMachineName",
      "WithThreadId",
      "WithProcessId",
      "WithExceptionDetails"
    ],
    "Properties": {
      "Application": "Catalog.API",
      "Environment": "dev"
    }
  }
}